function Button() {
  
  this.WIDTHS = {
    upgradeShip : 138,
    achievements : 138,
    upgrade : 82,
    unlock : 108,
    mute : 30,
    unmute : 30,
    pause : 30,
    unpause : 30,
    close : 108
  };
  
  this.TEXTURE_OFFSETS = {
    upgradeShip : 0,
    achievements : 150,
    upgrade : 300,
    unlock : 420,
    mute : 540,
    unmute : 582,
    pause : 624,
    unpause : 666,
    close : 708
  };
  
  this.name;
  
  this.type;
  
  this.x;
  this.y;
  this.w;
  this.h;
  
  this.textureOffsetX;
  
  this.callback;
  
  this.active;
  
  
  this.init = function(name, type, x, y, callback) {
    
    this.name = name;
    
    this.type = type;
    
    this.x = x;
    this.y = y;
    this.w = this.WIDTHS[this.type];
    this.h = 30;
    
    this.textureOffsetX = this.TEXTURE_OFFSETS[this.type];
    
    this.callback = callback;
    this.setActive(true);
  };
  
  
  this.setActive = function(active) {
    this.active = active;
    if(this.active) {
      mouse.registerUpArea("button_" + this.name, this.x, this.y, this.w, this.h, this.callback);
    } else {
      mouse.deleteUpArea("button_" + this.name);
    }
  };
  
  
  this.draw = function() {
    var textureOffsetY = 0;
    if(!this.active) {
      textureOffsetY = 126;
    } else {
      if(mouse.isOver(this.x, this.y, this.w, this.h)) {
        if(mouse.down) {
          textureOffsetY = 84;
        } else {
          textureOffsetY = 42;
        }
      }
    }
    c.drawImage(img.get("buttons"), this.textureOffsetX, textureOffsetY, this.w + 12, this.h + 12, this.x - 6, this.y - 6, this.w + 12, this.h + 12);
  };
  
};