function Resources() {
  
  
  this.loadingScreenImages = {
    loading : "img/loading.png",
    mediumFont : "img/medium_font.png",
  };
  
  
  this.loadingScreenFonts = {
    medium : {
      file : "mediumFont",
      minCharSpacingInFile : 2,
      printCharSpacing : 0,
      printSpaceWidth : 6,
      glyphDetectionThresholds : [0.25, 1.2],
      manualSpacing : [{ char : "k", right : 1 }, { char : "z", left : 1 }, { char : "1", left : 1, right : 2 }, { char : "2", right : 1 }, { char : "3", right : 1 }, { char : "4", right : 2 }, { char : "6", right : 1 }, { char : "7", right : 1 }, { char : "8", right : 1 }, { char : "9", right : 1 }, { char : "l", right : 1 }, { char : "!", left : 1 }, { char : "'", left : 1, right : 1 }, { char : "g", right : 1 }, { char : "d", right : 1 }, { char : "s", right : 1 }, { char : "r", right : 1 }, { char : "t", left : 1, right : 1 }, { char : "y", left : 1 }, { char : "c", right : 1 }, { char : "o", left : 1 }, { char : ".", left : 2 }, { char : ",", left : 1 }]
    },  
  };
  
  
  this.images = {
    player : "img/player.png",
    jet : "img/jet.png",
    planets : "img/planets.png",
    moons : "img/moons.png",
    panel : "img/panel.png",
    buttons : "img/buttons.png",
    popup : "img/popup.png",
    upgradeWindow : "img/upgrade_window.png",
    upgrades : "img/upgrades.png",
    speedometer : "img/speedometer.png",
    speedometerButton : "img/speedometer_button.png",
    stars0 : "img/stars0.png",
    stars1 : "img/stars1.png",
    stars2 : "img/stars2.png",
    largeFont : "img/large_font.png",
    smallFont : "img/small_font.png",
    smallWhiteFont : "img/small_white_font.png",
    mediumWhiteFont : "img/medium_white_font.png",
    questTutorial : "img/quest_tutorial.png",
    noQuest : "img/no_quest.png",
    explosion : "img/explosion.png",
    shot : "img/shot.png",
    npc : "img/npc.png"
  };
  
  
  this.fonts = {
    large : {
      file : "largeFont",
      minCharSpacingInFile : 3,
      printCharSpacing : 1,
      printSpaceWidth : 8,
      glyphDetectionThresholds : [0.25, 1.2],
      manualSpacing : []
    }, 
    small : {
      file : "smallFont",
      minCharSpacingInFile : 1,
      printCharSpacing : 1,
      printSpaceWidth : 5,
      glyphDetectionThresholds : [0.25, 1.2],
      manualSpacing : [{ char : "/", left : 1, right : 1 }, { char : "+", left : 1, right : 1 }, { char : "w", right : -1 }, { char : "0", right : -1 }, { char : "@", right : 2 }, { char : "1", left : 1 }, { char : "4", left : -1 }, { char : "2", right : -1 }, { char : "8", right : -1 }, { char : "b", right : -1 }, { char : "g", right : -1 }, { char : "c", right : -1 }, { char : "d", right : -1 }, { char : "v", right : -1 }, { char : "r", left : -1, right : -1 }, { char : "h", right : -1 }, { char : "3", right : -1 }, { char : "6", right : -1 }, { char : "m", right : -1 }, { char : "s", right : -1 }, { char : "n", right : -1 }, { char : "b", right : -1 }, { char : "o", right : -1 }, { char : "i", right : -1 }, { char : "u", right : -1 }, { char : "a", right : -1 }, { char : "x", right : -1 }, { char : ".", left : 1 }, { char : ":", left : 1 }]
    },
    smallWhite : {
      file : "smallWhiteFont",
      minCharSpacingInFile : 1,
      printCharSpacing : 0,
      printSpaceWidth : 5,
      glyphDetectionThresholds : [0.25, 1.2],
      manualSpacing : [{ char : "1", left : 1 }, { char : "7", right : -1 }, { char : "9", right : -1 }, { char : "e", right : -1 }]
    },
    mediumWhite : {
      file : "mediumWhiteFont",
      minCharSpacingInFile : 1,
      printCharSpacing : 0,
      printSpaceWidth : 7,
      glyphDetectionThresholds : [0.25, 1.2],
      manualSpacing : [{ char : "+", right : 1 }, { char : "1", left : 1 }, { char : "9", right : -1 }]
    }, 
  };
  
  
  this.sounds = {
  };
  
}