function Shot() {
  
  this.SHOT_LIFE = 4;
  
  this.index;
  
  this.x;
  this.y;
  
  this.angle;
  
  this.damage;
  
  this.body;
  
  this.life;
  
  
  this.init = function(index, x, y, angle, velocity, damage) {
    
    this.index = index;
    
    this.angle = angle;
    
    this.x = x + Math.sin(this.angle) * 40;
    this.y = y - Math.cos(this.angle) * 40;
    
    this.damage = damage;
    
    var velocityX = velocity.x + (Math.sin(this.angle) * 80);
    var velocityY = velocity.y - (Math.cos(this.angle) * 80);
    
    this.body = physics.createDynamicBox(this, this.x, this.y, 16, 4, this.angle, 0, 0);
    this.body.SetLinearVelocity(new physics.b2Vec2(velocityX, velocityY));
    
    this.life = this.SHOT_LIFE;
  };
  
  
  this.deleteMe = function() {
    physics.world.DestroyBody(this.body);
  };
  
  
  this.applyPhysics = function() {
    var position = this.body.GetPosition();
    this.x = position.x * 10;
    this.y = position.y * 10;
  };
  
  
  this.draw = function() {
    
    this.life -= timer.delta;
    
    c.save();
    c.translate(this.x, this.y);
    c.rotate(this.angle);
    img.draw("shot", -18, -14);
    c.restore();
  };
  
  
  this.getPhysicsType = function() {
    return "shot";
  };
  
  
}