var game;

var canvas;
var c;

var resources;
var img;
var fonts;
var sound;
var timer;
var physics;

var preloadingManager;
var performanceMonitor;

var mouse;
var keyboard;

var map;
var player;
var quest;
var panel;
var upgradeWindow;


jQuery(document).ready(function() {
  
  canvas = document.getElementById("game");
  c = canvas.getContext("2d");
  
  resources = new Resources();
  img = new Img();
  fonts = new Fonts();
  sound = new Sound();
  timer = new Timer();
  physics = new Physics();
  
  preloadingManager = new PreloadingManager();
  performanceMonitor = new PerformanceMonitor();
  
  mouse = new Mouse();
  keyboard = new Keyboard(); 
  
  game = new Game();
  game.init();
  
});