function Panel() {
  
  this.level;
  this.xp;
  this.money;
  
  this.deliveryTo;
  this.profit;
  this.tutorialText;
  this.pausedText;
  
  this.moveTutorial = 3.0;
  this.shootTutorial = 0.0;
  this.deliveryTutorial = true;
  this.shopUnlockTutorial = 0.0;
  this.shopUnlockText = "";
  
  this.upgradeShipButton;
  //this.achievementsButton;
  this.pauseButton;
  this.unpauseButton;
  //this.muteButton;
  //this.unmuteButton;
  
  this.window;
  this.pauseBeforeWindowOpen;
  
  
  this.init = function() {
    
    this.level = new Text();
    this.level.setPosition(875, 191);
    this.level.setFont("large");
    this.level.setAlignment(Text.CENTER);
    
    this.xp = new Text();
    this.xp.setPosition(875, 223);
    this.xp.setFont("small");
    this.xp.setAlignment(Text.CENTER);
    
    this.money = new Text();
    this.money.setPosition(940, 269);
    this.money.setFont("medium");
    this.money.setAlignment(Text.RIGHT);
    
    this.deliveryTo = new Text();
    this.deliveryTo.setPosition(812, 354/*318*/);
    this.deliveryTo.setFont("small");
    this.deliveryTo.setLineHeight(14);
    
    this.profit = new Text();
    this.profit.setPosition(812, 420);
    this.profit.setFont("small");
    this.profit.setLineHeight(14);
    
    this.tutorialText = new Text();
    this.tutorialText.setPosition(400, 556);
    this.tutorialText.setFont("mediumWhite");
    this.tutorialText.setAlignment(Text.CENTER);
    
    this.pausedText = new Text();
    this.pausedText.setPosition(400, 292);
    this.pausedText.setFont("mediumWhite");
    this.pausedText.setAlignment(Text.CENTER);
    this.pausedText.text("paused");
    
    this.upgradeShipButton = new Button();
    this.upgradeShipButton.init("upgradeShip", "upgradeShip", 806, 484/*458*/, function() {
      panel.openWindow(upgradeWindow);
    });
    
    //this.achievementsButton = new Button();
    //this.achievementsButton.init("achievements", "achievements", 806, 518, function() {});
    
    this.pauseButton = new Button();
    this.pauseButton.init("pause", "pause", 806, 554, function() {
      game.paused = true;
      panel.updatePauseMuteButtons();
    });
    
    this.unpauseButton = new Button();
    this.unpauseButton.init("unpause", "unpause", 806, 554, function() {
      game.paused = false;
      panel.updatePauseMuteButtons();
    });
    this.unpauseButton.setActive(false);
    
    /*this.muteButton = new Button();
    this.muteButton.init("mute", "mute", 842, 554, function() {
      sound.muteUnmute();
      panel.updatePauseMuteButtons();
    });
    
    this.unmuteButton = new Button();
    this.unmuteButton.init("unmute", "unmute", 842, 554, function() {
      sound.muteUnmute();
      panel.updatePauseMuteButtons();
    });
    this.unmuteButton.setActive(false);*/
    
    this.window = null;
    this.pauseBeforeWindowOpen = false;
  };
  
  
  this.updatePauseMuteButtons = function() {
    if(this.window != null) {
      panel.pauseButton.setActive(false);
      panel.unpauseButton.setActive(false);
    } else if(game.paused) {
      panel.pauseButton.setActive(false);
      panel.unpauseButton.setActive(true);
    } else {
      panel.pauseButton.setActive(true);
      panel.unpauseButton.setActive(false);
    }
    /*if(sound.muted) {
      panel.muteButton.setActive(false);
      panel.unmuteButton.setActive(true);
    } else {
      panel.muteButton.setActive(true);
      panel.unmuteButton.setActive(false);
    }*/
  };
  
  
  this.openWindow = function(window) {
    this.pauseBeforeWindowOpen = game.paused;
    game.paused = true;
    
    this.window = window;
    this.window.show();
    
    this.upgradeShipButton.setActive(false);
    //this.achievementsButton.setActive(false);
    this.updatePauseMuteButtons();
  };
  
  
  this.closeWindow = function() {
    game.paused = this.pauseBeforeWindowOpen;

    this.window.hide();
    this.window = null;
    
    this.upgradeShipButton.setActive(true);
    //this.achievementsButton.setActive(true);
    this.updatePauseMuteButtons();
  };
  
  
  this.draw = function() {
    
    if(this.moveTutorial > 0) {
      if(player.moveDirection != 0 || this.moveTutorial < 1.0) {
        this.moveTutorial -= timer.delta;
      }
      c.globalAlpha = setInRange(this.moveTutorial, 0.0, 1.0);
      this.tutorialText.text("use arrow keys or w/a/s/d to move.");
      this.tutorialText.draw();
      c.globalAlpha = 1;
    }
    
    if(this.shootTutorial > 0) {
      if(this.shootTutorial <= 3.0) {
        this.shootTutorial -= timer.delta;
      }
      c.globalAlpha = setInRange(this.shootTutorial, 0.0, 1.0);
      this.tutorialText.text("you've reached level 2 and unlocked the laser cannon. hold [space] to shoot.");
      this.tutorialText.draw();
      c.globalAlpha = 1;
    }
    
    if(this.shopUnlockTutorial > 0) {
      this.shopUnlockTutorial -= timer.delta;
      c.globalAlpha = setInRange(this.shopUnlockTutorial, 0.0, 1.0);
      this.tutorialText.text(this.shopUnlockText);
      this.tutorialText.draw();
      c.globalAlpha = 1;
    }
    
    if(game.paused) {
      c.globalAlpha = 0.5;
      c.fillStyle = "#000";
      c.fillRect(0, 0, 800, 600);
      c.globalAlpha = 1.0;
      if(this.window == null) {
        this.pausedText.draw();
      }
    }
    
    img.draw("panel", 0, 0);
    
    var speedometer = setInRange(Math.abs(player.velocity) / 75.0, 0.0, 1.0);
    c.save();
    c.translate(870, 90);
    c.rotate(-2.199 + (4.5 * speedometer));
    img.draw("speedometer", -10, -70);
    c.restore();
    img.draw("speedometerButton", 862, 82);
    
    this.level.text(player.level.toString());
    this.level.draw();
    

    
    if(player.level < player.NEXT_LEVEL_XP.length) {
      var xpBarWidth = (player.xp / player.NEXT_LEVEL_XP[player.level]) * 130;
      c.fillStyle = "#060";
      c.fillRect(810, 225, xpBarWidth, 8);
      
      this.xp.text("xp " + player.xp.toString() + "/" + player.NEXT_LEVEL_XP[player.level].toString());
      this.xp.draw();
      
    } else {
      c.fillStyle = "#060";
      c.fillRect(810, 225, 130, 8);
      
      this.xp.text("xp " + player.xp.toString() + "/" + player.NEXT_LEVEL_XP[player.level - 1].toString());
      this.xp.draw();
    }
    
    this.money.text(player.money.toString());
    this.money.draw();
    
    if(quest.hasQuest) {
      this.deliveryTutorial = false;
      
      var deliveryToText = "delivery to:\n";
      if(map.planets[quest.currentQuest].isMoon) {
        deliveryToText += "moon " + map.planets[quest.currentQuest].name;
      } else {
        deliveryToText += "planet " + map.planets[quest.currentQuest].name;
      }
      this.deliveryTo.text(deliveryToText);
      this.deliveryTo.draw();
      
      var profitText = "profit: $" + quest.MONEY_FOR_QUEST[quest.currentQuestLevel].toString() + "\n";
      if(quest.bonusCountDown > 0) {
        profitText += "bonus: $" + quest.MONEY_FOR_BONUS[quest.currentQuestLevel].toString();
        profitText += " @" + quest.bonusCountDown.toFixed(1).toString();
      }
      this.profit.text(profitText);
      this.profit.draw();
      
    } else {
      if(player.level == 1) {
        img.draw("questTutorial", 808, 295);
      } else {
        img.draw("noQuest", 808, 295);
      }
    }
    
    this.upgradeShipButton.draw();
    //this.achievementsButton.draw();
    if(game.paused) {
      this.unpauseButton.draw();
    } else {
      this.pauseButton.draw();
    }
    /*if(sound.muted) {
      this.unmuteButton.draw();
    } else {
      this.muteButton.draw();
    }*/
    
    if(this.window != null) {
      this.window.draw();
    }
    
  };
  
}